# Limitless

Assets: `BTC`, `ETH`, `SOL`

#### Daily Up/Down

Forecast Horizon: `24h`

Endpoint:

```
GET /insights/limitless/daily
```

Example Request

```curl
curl "https://api.synthdata.co/insights/limitless/daily?asset=BTC" \
  -H "Authorization: Apikey YOUR_API_KEY"
```

Response:

```json
[
  {
    "slug": "btc-above-dollar7051116-on-mar-20-1000-utc-1773914406897",
    "start_price": 70511.16,
    "current_time": "2026-03-19T16:36:34.334162+00:00",
    "current_price": 69340.04,
    "synth_probability_up": 0.1734,
    "synth_outcome": "Down",
    "market_probability_up": 0.2455,
    "market_outcome": "Down",
    "event_outcome_prices": [0.2455, 0.7545],
    "best_bid_price": 0.216,
    "best_ask_price": 0.275,
    "event_creation_time": "2026-03-19T10:00:06.896000+00:00",
    "event_end_time": "2026-03-20T10:00:00+00:00",
    "forecast_start_time": "2026-03-19T16:09:00+00:00"
  }
]
```

#### Hourly Up/Down

Forecast Horizon: `1h`

Returns multiple active contracts at different strike prices for the current hour.

Endpoint:

```
GET /insights/limitless/hourly
```

Example Request

```curl
curl "https://api.synthdata.co/insights/limitless/hourly?asset=BTC" \
  -H "Authorization: Apikey YOUR_API_KEY"
```

Response:

```json
[
  {
    "slug": "btc-above-dollar6940517-on-mar-19-1700-utc-1773936002266",
    "start_price": 69405.17,
    "current_time": "2026-03-19T16:36:51.881403+00:00",
    "current_price": 69340.04,
    "synth_probability_up": 0.3989,
    "synth_outcome": "Down",
    "market_probability_up": 0.395,
    "market_outcome": "Down",
    "event_outcome_prices": [0.395, 0.605],
    "best_bid_price": 0.365,
    "best_ask_price": 0.425,
    "event_creation_time": "2026-03-19T16:00:02.264000+00:00",
    "event_end_time": "2026-03-19T17:00:00+00:00",
    "forecast_start_time": "2026-03-19T16:20:00+00:00"
  },
  {
    "slug": "btc-above-dollar6878467-on-mar-19-1700-utc-1773936211556",
    "start_price": 68784.67,
    "current_time": "2026-03-19T16:36:51.881403+00:00",
    "current_price": 69340.04,
    "synth_probability_up": 0.9717,
    "synth_outcome": "Up",
    "market_probability_up": 0.945,
    "market_outcome": "Up",
    "event_outcome_prices": [0.945, 0.055],
    "best_bid_price": 0.94,
    "best_ask_price": 0.95,
    "event_creation_time": "2026-03-19T16:03:31.553000+00:00",
    "event_end_time": "2026-03-19T17:00:00+00:00",
    "forecast_start_time": "2026-03-19T16:20:00+00:00"
  }
]
```

#### 15-Minute Up/Down

Forecast Horizon: `1h`

Endpoint:

```
GET /insights/limitless/15min
```

Example Request

```curl
curl "https://api.synthdata.co/insights/limitless/15min?asset=BTC" \
  -H "Authorization: Apikey YOUR_API_KEY"
```

Response:

```json
[
  {
    "slug": "btc-above-dollar6953341-on-mar-19-1645-utc-1773937812484",
    "start_price": 69533.41,
    "current_time": "2026-03-19T16:36:51.881973+00:00",
    "current_price": 69340.04,
    "synth_probability_up": 0.1228,
    "synth_outcome": "Down",
    "market_probability_up": 0.1025,
    "market_outcome": "Down",
    "event_outcome_prices": [0.1025, 0.8975],
    "best_bid_price": 0.07,
    "best_ask_price": 0.135,
    "event_creation_time": "2026-03-19T16:30:12.481000+00:00",
    "event_end_time": "2026-03-19T16:45:00+00:00",
    "forecast_start_time": "2026-03-19T16:20:00+00:00"
  }
]
```

### Example: Find Arbitrage

```python
import requests

response = requests.get(
    "https://api.synthdata.co/insights/limitless/hourly",
    headers={"Authorization": "Apikey YOUR_API_KEY"},
    params={"asset": "BTC"}
)

for contract in response.json():
    synth = contract['synth_probability_up']
    market = contract['market_probability_up']
    edge = synth - market

    if abs(edge) > 0.05:
        if edge > 0:
            print(f"BUY 'Up' on Limitless - Synth says {synth:.1%} vs market {market:.1%}")
        else:
            print(f"BUY 'Down' on Limitless - Synth says {1-synth:.1%} vs market {1-market:.1%}")
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.synthdata.co/insights/limitless.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
